#include "localefunc.h"

gchar *get_entry_text_in_locale(GtkWidget *w)
{
    gchar *s;

    s = (gchar*)gtk_entry_get_text( GTK_ENTRY(w) );
    s = g_locale_from_utf8( s, strlen(s), NULL, NULL, NULL);
    return(s);
}
char *check_locale(char *num)
{
    struct lconv *l;
    char *decimal, *thsep, *retnum;
    int i,j;
    int numt;

    numt = 0;

    if (strlen(num) == 0) return(num);


    (void)setlocale(LC_ALL,"");
    l = localeconv();
    decimal = strdup(l->decimal_point);
    if (strlen(l->thousands_sep)) thsep = strdup(l->thousands_sep);
    else thsep = NULL;
    
    for (i = 0; i < strlen(num); i++)
        if (thsep && num[i] == thsep[0]) numt++;
    retnum = malloc(sizeof(char) * (strlen(num)  - numt));
    
    j = strlen(num)-numt;
    for (i = strlen(num); i >= 0; i--)
      {
        if (num[i] == decimal[0])
          {
            retnum[j] = '.';
            j--;
            continue;
          }
        if (thsep && num[i] == thsep[0]) continue;
        retnum[j] = num[i];

        j--;
      }
    return(retnum);
}
char *check_locale_float(float fval)
{
    char num[16];

    sprintf(num,"%f",fval);
    return( check_locale(num) );
}

