/* yesno.c - a general purpose yes/no dialog. Remade */

#include <gtk/gtk.h>
#include "minterface.h"
#include "yesno.h"
#include "msupport.h" 
//static void yesno_func (GtkWidget *widget, gchar *yesno);

/* A static variable for the yes/no return value. */
static gint yesno = FALSE;

int yes_no_dialog (gchar *title, gchar *labeltext)
{    
    GladeXML *xml;
    GtkWidget *w;
    GtkWidget *label;

    xml = create_yesnodialog();
    w = glade_xml_get_widget(xml, "yesnodialog");

    gtk_window_set_title(GTK_WINDOW(w), title);
    label = lookup_widget(GTK_WIDGET(w), "yesnolabel");
    gtk_label_set_text(GTK_LABEL(label), labeltext);

    gtk_main();
    
    return yesno;
}

void yesno_func (GtkWidget *widget, gchar *yesnostr)
{ 
    GtkWidget *dlg;
    gchar *n = (gchar*)glade_get_widget_name( widget );

    if (!strcmp(n,"yesnoyes"))
        yesno = TRUE;
    else
        yesno = FALSE;
    dlg = lookup_widget(GTK_WIDGET(widget), "yesnodialog");
    gtk_widget_destroy(GTK_WIDGET(dlg));
    gtk_main_quit();
    return;
}



